| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
bar.h File Reference

## Classes

class | wxRibbonBarEvent
| Event used to indicate various actions relating to a wxRibbonBar. More...
class | wxRibbonPageTabInfo
class | wxRibbonBar
| Top-level control in a ribbon user interface. More...

## Enumerations

enum | wxRibbonBarOption { wxRIBBON_BAR_SHOW_PAGE_LABELS, wxRIBBON_BAR_SHOW_PAGE_ICONS, wxRIBBON_BAR_FLOW_HORIZONTAL, wxRIBBON_BAR_FLOW_VERTICAL, wxRIBBON_BAR_SHOW_PANEL_EXT_BUTTONS, wxRIBBON_BAR_SHOW_PANEL_MINIMISE_BUTTONS, wxRIBBON_BAR_ALWAYS_SHOW_TABS, wxRIBBON_BAR_SHOW_TOGGLE_BUTTON, wxRIBBON_BAR_SHOW_HELP_BUTTON, wxRIBBON_BAR_DEFAULT_STYLE, wxRIBBON_BAR_FOLDBAR_STYLE }
enum | wxRibbonDisplayMode { wxRIBBON_BAR_PINNED, wxRIBBON_BAR_MINIMIZED, wxRIBBON_BAR_EXPANDED }
| The possible display modes of the panel area of a wxRibbonBar widget. More...

## Variables

wxEventType | wxEVT_RIBBONBAR_PAGE_CHANGED
wxEventType | wxEVT_RIBBONBAR_PAGE_CHANGING
wxEventType | wxEVT_RIBBONBAR_TAB_MIDDLE_DOWN
wxEventType | wxEVT_RIBBONBAR_TAB_MIDDLE_UP
wxEventType | wxEVT_RIBBONBAR_TAB_RIGHT_DOWN
wxEventType | wxEVT_RIBBONBAR_TAB_RIGHT_UP
wxEventType | wxEVT_RIBBONBAR_TAB_LEFT_DCLICK
wxEventType | wxEVT_RIBBONBAR_TOGGLED
wxEventType | wxEVT_RIBBONBAR_HELP_CLICK

## Enumeration Type Documentation

enum wxRibbonBarOption

Enumerator
wxRIBBON_BAR_SHOW_PAGE_LABELS |
wxRIBBON_BAR_SHOW_PAGE_ICONS |
wxRIBBON_BAR_FLOW_HORIZONTAL |
wxRIBBON_BAR_FLOW_VERTICAL |
wxRIBBON_BAR_SHOW_PANEL_EXT_BUTTONS |
wxRIBBON_BAR_SHOW_PANEL_MINIMISE_BUTTONS |
wxRIBBON_BAR_ALWAYS_SHOW_TABS |
wxRIBBON_BAR_SHOW_TOGGLE_BUTTON |
wxRIBBON_BAR_SHOW_HELP_BUTTON |
wxRIBBON_BAR_DEFAULT_STYLE |
wxRIBBON_BAR_FOLDBAR_STYLE |

enum wxRibbonDisplayMode

The possible display modes of the panel area of a wxRibbonBar widget.

See also
  wxRibbonBar::ShowPanels()
  wxRibbonBar::GetDisplayMode()

Since
  2.9.5

Enumerator
wxRIBBON_BAR_PINNED | The panel area is visible and pinned: it remains visible when the ribbon bar loses the focus.
wxRIBBON_BAR_MINIMIZED | The panel area is hidden: only the pages tabs remain visible.
wxRIBBON_BAR_EXPANDED | The panel area is visible, but not pinned: it minimizes as soon as the focus is lost.

## Variable Documentation

wxEventType wxEVT_RIBBONBAR_HELP_CLICK

wxEventType wxEVT_RIBBONBAR_PAGE_CHANGED

wxEventType wxEVT_RIBBONBAR_PAGE_CHANGING

wxEventType wxEVT_RIBBONBAR_TAB_LEFT_DCLICK

wxEventType wxEVT_RIBBONBAR_TAB_MIDDLE_DOWN

wxEventType wxEVT_RIBBONBAR_TAB_MIDDLE_UP

wxEventType wxEVT_RIBBONBAR_TAB_RIGHT_DOWN

wxEventType wxEVT_RIBBONBAR_TAB_RIGHT_UP

wxEventType wxEVT_RIBBONBAR_TOGGLED